## org.apache.lucene.search.spans
Enum SpanPositionCheckQuery.AcceptStatus

    java.lang.Object
      java.lang.Enum<SpanPositionCheckQuery.AcceptStatus>
          org.apache.lucene.search.spans.SpanPositionCheckQuery.AcceptStatus

All Implemented Interfaces:
  Serializable, Comparable<SpanPositionCheckQuery.AcceptStatus>

Enclosing class:
  SpanPositionCheckQuery

    protected static enum SpanPositionCheckQuery.AcceptStatus

extends Enum<SpanPositionCheckQuery.AcceptStatus>

Return value for `SpanPositionCheckQuery.acceptPosition(Spans)`.

Enum Constant Summary
`NO` Indicates the match should be rejected
`NO_AND_ADVANCE` Indicates the match should be rejected, and the enumeration should advance to the next document.
`YES` Indicates the match should be accepted

Method Summary
`static SpanPositionCheckQuery.AcceptStatus` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SpanPositionCheckQuery.AcceptStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### YES

    public static final SpanPositionCheckQuery.AcceptStatus YES

  Indicates the match should be accepted

### NO

    public static final SpanPositionCheckQuery.AcceptStatus NO

  Indicates the match should be rejected

### NO_AND_ADVANCE

    public static final SpanPositionCheckQuery.AcceptStatus NO_AND_ADVANCE

  Indicates the match should be rejected, and the enumeration should advance to the next document.

Method Detail

### values

    public static SpanPositionCheckQuery.AcceptStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SpanPositionCheckQuery.AcceptStatus c : SpanPositionCheckQuery.AcceptStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SpanPositionCheckQuery.AcceptStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.